summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2018-09-01 21:22:05 +0200
committerMartin Väth <martin@mvath.de>2018-09-01 21:22:05 +0200
commit7c1e53d4adbc1bdc63beca165419c8a2b765c13b (patch)
tree4061fce78fb3afeeee70ef8d75c038dc25f08c22
parentapp-portage/portage-bashrc-mv sys-kernel/kernel: Version bump (diff)
downloadmv-7c1e53d4adbc1bdc63beca165419c8a2b765c13b.tar.gz
mv-7c1e53d4adbc1bdc63beca165419c8a2b765c13b.tar.bz2
mv-7c1e53d4adbc1bdc63beca165419c8a2b765c13b.zip
dev-tex/chklref: Fix URLs. Alpha version bump
-rw-r--r--dev-tex/chklref/Manifest3
-rw-r--r--dev-tex/chklref/chklref-2.6.0.ebuild14
-rw-r--r--dev-tex/chklref/chklref-2.6.1_alpha20170913.ebuild48
-rw-r--r--metadata/pkg_desc_index2
4 files changed, 62 insertions, 5 deletions
diff --git a/dev-tex/chklref/Manifest b/dev-tex/chklref/Manifest
index ca1e1fc3..caba3681 100644
--- a/dev-tex/chklref/Manifest
+++ b/dev-tex/chklref/Manifest
@@ -1 +1,2 @@
-DIST chklref-2.6.0.tar.gz 330048 SHA512 30e15be050fb344575245dc8e52455e406457491ee4fd3da66d22ab2e21cefc51673936900a6bc91c2eb05440dc46a68bfb77e9fe6d1a3d0bc94febf83de4343
+DIST chklref-2.6.0.tar.gz 53484 SHA512 bb61334022eb50c2a31bcfcbd6528260da8e4027c34ea3a0cba8d12e93e07e9dc1a6aad6146b60c811914faae4ac2d47b570edce986849a59bf6aefd4eafe7dd
+DIST chklref-2.6.1_alpha20170913.tar.gz 53492 SHA512 b4fe6a0b99b04597a45321fd877f54e068adaefdaefb3b9fed7f3ceb90afbe8a7fa45f1cdbf0d1b3e2bbd769973ea6db095c168160d451aa11abe84e2eea839f
diff --git a/dev-tex/chklref/chklref-2.6.0.ebuild b/dev-tex/chklref/chklref-2.6.0.ebuild
index 47e2dfc7..bd674111 100644
--- a/dev-tex/chklref/chklref-2.6.0.ebuild
+++ b/dev-tex/chklref/chklref-2.6.0.ebuild
@@ -6,8 +6,15 @@ inherit latex-package
RESTRICT="mirror"
DESCRIPTION="Finds useless references in latex files or unnecessarily numbered environments"
-HOMEPAGE="http://www-ljk.imag.fr/membres/Jerome.Lelong/soft/chklref/index.html"
-SRC_URI="http://www-ljk.imag.fr/membres/Jerome.Lelong/soft/chklref/${P}.tar.gz"
+HOMEPAGE="https://github.com/jlelong/chklref/"
+case ${PV} in
+*alpha*)
+ EGIT_COMMIT="23028ecbeff38429d1e91a7e142d2bdc623298d8"
+ SRC_URI="https://github.com/jlelong/${PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/${PN}-${EGIT_COMMIT}";;
+*)
+ SRC_URI="https://github.com/jlelong/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz";;
+esac
LICENSE="GPL-3"
SLOT="0"
@@ -18,7 +25,8 @@ RDEPEND="virtual/latex-base
dev-lang/perl"
BDEPEND="${RDEPEND}"
-DOCS=( README )
+DOCS=( README.md )
+ver_test "${PV}" -gt 2.6.0 || DOCS=( README )
src_prepare() {
use prefix || sed -i \
diff --git a/dev-tex/chklref/chklref-2.6.1_alpha20170913.ebuild b/dev-tex/chklref/chklref-2.6.1_alpha20170913.ebuild
new file mode 100644
index 00000000..bd674111
--- /dev/null
+++ b/dev-tex/chklref/chklref-2.6.1_alpha20170913.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2010-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit latex-package
+RESTRICT="mirror"
+
+DESCRIPTION="Finds useless references in latex files or unnecessarily numbered environments"
+HOMEPAGE="https://github.com/jlelong/chklref/"
+case ${PV} in
+*alpha*)
+ EGIT_COMMIT="23028ecbeff38429d1e91a7e142d2bdc623298d8"
+ SRC_URI="https://github.com/jlelong/${PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/${PN}-${EGIT_COMMIT}";;
+*)
+ SRC_URI="https://github.com/jlelong/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz";;
+esac
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="virtual/latex-base
+ dev-lang/perl"
+BDEPEND="${RDEPEND}"
+
+DOCS=( README.md )
+ver_test "${PV}" -gt 2.6.0 || DOCS=( README )
+
+src_prepare() {
+ use prefix || sed -i \
+ -e '1s"^#!/usr/bin/env sh$"#!'"${EPREFIX}/bin/sh"'"' \
+ -- "${S}"/src/chklref.in || die
+ default
+}
+
+src_configure() {
+ econf --with-texmf-prefix="${EPREFIX}${TEXMF}"
+}
+
+src_compile() {
+ default
+}
+
+src_install() {
+ default
+}
diff --git a/metadata/pkg_desc_index b/metadata/pkg_desc_index
index 1138a1bc..bcb44d1f 100644
--- a/metadata/pkg_desc_index
+++ b/metadata/pkg_desc_index
@@ -57,7 +57,7 @@ dev-cpp/cpplint 99999999: The google styleguide together with cpplint and an ema
dev-libs/osformat 1.0.5 999999999: C++ library for a typesafe printf/sprintf based on << conversion
dev-libs/weston 3.0.0: Wayland reference compositor
dev-perl/File-lchown 0.20-r1: Use the lchown(2) and lutimes(2) system call from Perl
-dev-tex/chklref 2.6.0: Finds useless references in latex files or unnecessarily numbered environments
+dev-tex/chklref 2.6.0 2.6.1_alpha20170913: Finds useless references in latex files or unnecessarily numbered environments
dev-util/ccache 3.4.2: fast compiler cache
dev-util/comp 4.3: compare files or directories, including metadata
dev-util/diffhelp 1.11: A frontend, beautifier, and path-fixer for diff -u